Databases connections
Get list of database connections
Returns all connections for the given database.
GET
/v1/databases/{databaseId}/connectionsReturns all connections for the given database.
AuthorizationBearer <token>
OAuth2 authentication
In: header
Scope: workspace:admin, offline_access
Path Parameters
databaseId*string
Match
^(db_)?([cC][^\s-]{8,}|[a-z0-9]+)$Query Parameters
cursor?|
Cursor for pagination
limit?number
Limit for pagination
Default
100Response Body
application/json
application/json
curl -X GET "https://example.com/v1/databases/string/connections"{ "data": [ { "id": "string", "type": "connection", "url": "http://example.com", "name": "string", "createdAt": "2019-08-24T14:15:22Z", "kind": "postgres", "endpoints": { "direct": { "host": "string", "port": 0 }, "pooled": { "host": "string", "port": 0 }, "accelerate": { "host": "string", "port": 0 } }, "directConnection": { "host": "string", "pass": "string", "user": "string" }, "database": { "id": "string", "url": "http://example.com", "name": "string" } } ], "pagination": { "nextCursor": "string", "hasMore": true }}